
@import './assets/scss/tech-theme.scss';

body {
    /* font-family: 'Roboto', sans-serif; */
    background-color: $background;
    background: url("assets/img/backgrounds/background-1.jpg") no-repeat center center fixed;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    color: $text;

    /* -webkit-background-size: cover; */
    /* -moz-background-size: cover; */
    /* -o-background-size: cover; */

    &:after {
        z-index: -1;
        background-color: $background;
        position:fixed;
        opacity: 0.9;
        content: "";
        bottom: 0;
        right: 0;
        left: 0;
        top: 0;
    }
}

section {
    height: 40vh;
}

nav {
    background-color: $menu;
}

.collapsible-header {
    color: $white;
    background-color: $panel;
    border-bottom-color: $menu;
}

.collapsible-body {
    background-color: $active;
    border-bottom-color: $menu;
}

.collapsible-body-container {
    width: 90%;
}

.card-panel {
    background-color: $card;
}

.floating-panel {
    background-color: $panel;
    padding-right: 3em;
    padding-left: 3em;
    margin-top: 2em;

    .card-panel {
        padding-top:    3em;
        padding-bottom: 2em;
        padding-right:  5em;
        padding-left:   5em;
    }
}

.questionnaire {
    padding-top:    3em;
    padding-bottom: 2em;
    padding-right:  5em;
    padding-left:   5em;
}

.tabs .tab a {

    color: $smooth;
    background-color: $inactive;

    &:hover {
        color: $metrics;
        background-color: $panel;
    }

    &.active {
        color: $metrics;
        background-color: $active;
    }
}

.tabs .indicator {
    background-color: rgba(0, 0, 0, 0);
}

.summary-metric-value, .summary-metric-name {
    color: $summary;
    font-weight: bold;
}

.summary-metric-value {
    font-size: 3.5em;
}

.summary-metric-name {
    font-size: 1.5em;
}

.investment-name, .investment-date {
    color: $smooth;
    font-size: 1.3em;
}

.investment-metric-value, .investment-metric-name {
    color: $metrics;
}

.investment-metric-value {
    font-weight: bold;
    font-size: 3.5em;
}

.investment-metric-name {
    font-size: 1.2em;
    margin-top: 1em;
}

.input-field {

    input[type=text],
    input[type=email],
    input[type=number],
    input[type=password] {
        border-bottom-color: $menu;
    }

    input[type=text]:focus,
    input[type=email]:focus,
    input[type=number]:focus,
    input[type=password]:focus {
        border-bottom-color: $accent-one;
    }

    input[type=radio] {
        color: $text
    }

    label {
        color: $summary;
        font-size: 1.1rem;
    }
}

[type="radio"]:checked + label:after {
    background-color: $accent-one;
    border-color: $accent-one;
}

.investment-question {
    color: $summary;
    font-size: 1.1rem;
}

.noUi-handle {
    box-shadow: none;
    border-radius: 10px;
    background: $accent-one;
    border-color: $accent-one;
}

.noUi-base {
    background-color: $card;
}

.noUi-connect {
    background-color: $accent-one;
}

.noUi-target {
  border-color: $panel;
}

.btn {

    color: $accent-one;
    background-color: $panel;

    &:hover {
        color: $panel;
        background-color: $accent-one;
    }
}

.attention-button {

    color: $panel;
    background-color: $accent-one;

    &:hover {
        background-color: $accent-two;
    }
}

.danger-button {

    background-color: $panel;

    &:hover {
        color: $white;
        background-color: $red;
    }
}

table.responsive-table.bordered {
    tr, td {
        border-color: $menu;
    }
}

.status-red, .status-green {
    color: $white;
    font-size: 1.2em;
}

.status-green {
    background-color: $green;
}

.status-red {
    background-color: $red;
}

.padding-top-large {
    padding-top: 2em;
}

.padding-top-medium {
    padding-top: 1em;
}

h1 {
    color: $accent-one;

    span {
        font-weight: bold;
    }
}

p.subtitle {
    font-size: 1.5em;
}